# Responsive Navbar

A customizable, modern, and responsive navigation for any website. Built this small framework to answer my number 1 google search "how to responsive nav".

Nav inspired by [this codepen](https://codepen.io/itsfame/pen/yyWEVo), style #1. 

Custom variables inspired by the awesome, modular [Bulma](https://bulma.io/) framework.

## Demo
[Demo](https://codywilliamson.github.io/responsive-navbar/)

Also used on my [personal site](https://codywilliamson.com)


## Installation

Download this repo, edit the util scss variables to your liking, paste the HTML, `@import` the _nav and _utils into your style.scss, link the scripts.js file, and voila.

Really and truly, this could be used as a very basic HTML template, but use what you need.

The scripts.js includes smooth scroll from [W3Schools](https://www.w3schools.com/howto/howto_css_smooth_scroll.asp#section2), but the CSS includes `scroll-behavior: smooth-scroll` as a backup, however this property is not widely supported yet.

## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.

## License
[MIT](https://choosealicense.com/licenses/mit/)